Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.window
Interface WindowEventConstants

public interface WindowEventConstants

A interface containing the constants related to window events.

Version:
  1.0
Author:
  C.N.Medappa

Field Summary
`static int` | `CHROME_ALL`
`static int` | `CHROME_CENTER_SCREEN`
`static int` | `CHROME_DEFAULT`
`static int` | `CHROME_DEPENDENT`
`static int` | `CHROME_EXTRA`
`static int` | `CHROME_LOCATIONBAR`
`static int` | `CHROME_MENUBAR`
`static int` | `CHROME_MODAL`
`static long` | `CHROME_OPENAS_CHROME`
`static int` | `CHROME_OPENAS_DIALOG`
`static int` | `CHROME_PERSONAL_TOOLBAR`
`static int` | `CHROME_SCROLLBARS`
`static int` | `CHROME_STATUSBAR`
`static int` | `CHROME_TITLEBAR`
`static int` | `CHROME_TOOLBAR`
`static int` | `CHROME_WINDOW_BORDERS`
`static int` | `CHROME_WINDOW_CLOSE`
`static int` | `CHROME_WINDOW_LOWERED`
`static int` | `CHROME_WINDOW_MIN`
`static int` | `CHROME_WINDOW_POPUP`
`static int` | `CHROME_WINDOW_RAISED`
`static int` | `CHROME_WINDOW_RESIZE`
`static int` | `CHROME_WITH_POSITION`
`static int` | `CHROME_WITH_SIZE`
`static int` | `PARENT_IS_LOADING_OR_RUNNING_TIMEOUT` Set of chrome flags.
`static short` | `WIN_CHROME_FLAG_EVENT` Set chrome flag window event type.
`static short` | `WIN_CREATE_EVENT` Create window event type.
`static short` | `WIN_DESTROY_EVENT` Dispose window event type.
`static short` | `WIN_REALIZED_EVENT` Window Realized window event type.
`static short` | `WIN_RESIZE_EVENT` Resize window event type.
`static short` | `WIN_SET_TITLE_EVENT` Set title window event type.
`static short` | `WIN_SETMODAL_EVENT` Set modal window event type.

Field Detail

### PARENT_IS_LOADING_OR_RUNNING_TIMEOUT

    public static final int PARENT_IS_LOADING_OR_RUNNING_TIMEOUT

  Set of chrome flags.

  See Also:
    Constant Field Values

### CHROME_DEFAULT

    public static final int CHROME_DEFAULT

See Also:
  Constant Field Values

### CHROME_WINDOW_BORDERS

    public static final int CHROME_WINDOW_BORDERS

See Also:
  Constant Field Values

### CHROME_WINDOW_CLOSE

    public static final int CHROME_WINDOW_CLOSE

See Also:
  Constant Field Values

### CHROME_WINDOW_RESIZE

    public static final int CHROME_WINDOW_RESIZE

See Also:
  Constant Field Values

### CHROME_MENUBAR

    public static final int CHROME_MENUBAR

See Also:
  Constant Field Values

### CHROME_TOOLBAR

    public static final int CHROME_TOOLBAR

See Also:
  Constant Field Values

### CHROME_LOCATIONBAR

    public static final int CHROME_LOCATIONBAR

See Also:
  Constant Field Values

### CHROME_STATUSBAR

    public static final int CHROME_STATUSBAR

See Also:
  Constant Field Values

### CHROME_PERSONAL_TOOLBAR

    public static final int CHROME_PERSONAL_TOOLBAR

See Also:
  Constant Field Values

### CHROME_SCROLLBARS

    public static final int CHROME_SCROLLBARS

See Also:
  Constant Field Values

### CHROME_TITLEBAR

    public static final int CHROME_TITLEBAR

See Also:
  Constant Field Values

### CHROME_EXTRA

    public static final int CHROME_EXTRA

See Also:
  Constant Field Values

### CHROME_WITH_SIZE

    public static final int CHROME_WITH_SIZE

See Also:
  Constant Field Values

### CHROME_WITH_POSITION

    public static final int CHROME_WITH_POSITION

See Also:
  Constant Field Values

### CHROME_WINDOW_MIN

    public static final int CHROME_WINDOW_MIN

See Also:
  Constant Field Values

### CHROME_WINDOW_POPUP

    public static final int CHROME_WINDOW_POPUP

See Also:
  Constant Field Values

### CHROME_WINDOW_RAISED

    public static final int CHROME_WINDOW_RAISED

See Also:
  Constant Field Values

### CHROME_WINDOW_LOWERED

    public static final int CHROME_WINDOW_LOWERED

See Also:
  Constant Field Values

### CHROME_CENTER_SCREEN

    public static final int CHROME_CENTER_SCREEN

See Also:
  Constant Field Values

### CHROME_DEPENDENT

    public static final int CHROME_DEPENDENT

See Also:
  Constant Field Values

### CHROME_MODAL

    public static final int CHROME_MODAL

See Also:
  Constant Field Values

### CHROME_OPENAS_DIALOG

    public static final int CHROME_OPENAS_DIALOG

See Also:
  Constant Field Values

### CHROME_ALL

    public static final int CHROME_ALL

See Also:
  Constant Field Values

### CHROME_OPENAS_CHROME

    public static final long CHROME_OPENAS_CHROME

See Also:
  Constant Field Values

### WIN_CREATE_EVENT

    public static final short WIN_CREATE_EVENT

  Create window event type.

  See Also:
    Constant Field Values

### WIN_SETMODAL_EVENT

    public static final short WIN_SETMODAL_EVENT

  Set modal window event type.

  See Also:
    Constant Field Values

### WIN_RESIZE_EVENT

    public static final short WIN_RESIZE_EVENT

  Resize window event type.

  See Also:
    Constant Field Values

### WIN_DESTROY_EVENT

    public static final short WIN_DESTROY_EVENT

  Dispose window event type.

  See Also:
    Constant Field Values

### WIN_SET_TITLE_EVENT

    public static final short WIN_SET_TITLE_EVENT

  Set title window event type.

  See Also:
    Constant Field Values

### WIN_CHROME_FLAG_EVENT

    public static final short WIN_CHROME_FLAG_EVENT

  Set chrome flag window event type.

  See Also:
    Constant Field Values

### WIN_REALIZED_EVENT

    public static final short WIN_REALIZED_EVENT

  Window Realized window event type.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.